/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workevaluationroom.entity;

import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 评标室管理Entity
 * @author 杨帆
 * @version 2017-12-28
 */
public class WorkEvaluationRoom extends DataEntity<WorkEvaluationRoom> {
	
	private static final long serialVersionUID = 1L;
	private String address;		// 地址
	private String floor;		// 楼层
	private String houseNumber;		// 门牌号码
	private String companyId;		// company_id
	private Office office;		// office_id
	private String name;		// office_id

	public WorkEvaluationRoom() {
		super();
	}

	public WorkEvaluationRoom(String id){
		super(id);
	}

	@ExcelField(title="地址", align=2, sort=7)
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}
	
	@ExcelField(title="楼层", align=2, sort=8)
	public String getFloor() {
		return floor;
	}

	public void setFloor(String floor) {
		this.floor = floor;
	}
	
	@ExcelField(title="门牌号码", align=2, sort=9)
	public String getHouseNumber() {
		return houseNumber;
	}

	public void setHouseNumber(String houseNumber) {
		this.houseNumber = houseNumber;
	}
	
	@ExcelField(title="company_id", align=2, sort=10)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="office_id", fieldType=Office.class, value="office.name", align=2, sort=11)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}